<?php
class Admin_Model extends CI_Model {

    function __construct(){
        // Call the Model constructor
        parent::__construct();
    }

    public function Adminlogin($email)
    {
       
        $query = $this->db->select('*')
                          ->where('admin_email', $email)
                          ->get('admin');

        if($query->num_rows() > 0)
        {
            return $query->result();
        }
        else
        {
            return false;
        }

    }


    public function getData($table, $cond = "",  $field ="",  $orderby = "", $limit= "",  $join="")
    { 
       if ($field = "") {
       $field='*';
      }

      $this->db->select($field);
      $this->db->from($table); 

        if (is_array($join) && count($join) > 0) {
             foreach ($join as $k => $v) {
                $this->db->join($v['table'], $v['condition'], $v['type']);
             }
        }

      if ($cond != "") {
       $this->db->where($cond);
      }

      
       if ($orderby != "") {  
       $this->db->order_by($orderby, 'desc');
      } 

      if ($limit != "") {
       $this->db->limit($limit);
      }
    
      $result = $this->db->get()->result();
      return $result;
    }

    
    public function insertQuery($table, $data = array())
    {
      return $this->db->insert($table, $data);
    } 
    

    public function updateQuery($table, $where , $data = array())
    {
      $this->db->where($where);
      return $this->db->update($table, $data);
    }

    public function deleteQuery($table, $where) 
    {
       
      return $this->db->where($where)
                      ->delete($table);
    }

    public function count_partners()
    {
         $this->db->select('*');
        $this->db->from('tbl_vendors');
        $this->db ->where('approval_status','Approved');
        return $this->db->count_all_results();
    }
    public function count_users()
    {
         $this->db->select('*');
        $this->db->from('tbl_users');
        return $this->db->count_all_results();
    }

    public function count_inquiry()
    {
        $this->db->select('*');
        $this->db->from('tbl_inquiry');
        return $this->db->count_all_results();
    }

    
 
    public function get_pending_vendors_list()
    {

        $this->db->select('tbl_vendors.*,  GROUP_CONCAT(type_a.type_name) as typename');
        $this->db->join("tbl_types type_a", "FIND_IN_SET(type_a.type_id, tbl_vendors.v_type)", "inner");
         $this->db->where('approval_status', NULL);
        $this->db->where('general_status', 1);
        $this->db->where('desc_status', 1);
        $this->db->where('logo_status',1);
        $this->db->order_by('v_id', 'desc');
        
        $this->db->group_by("tbl_vendors.v_id");
        return $this->db->get('tbl_vendors')->result();


        // $this->db->select('*');
        // $this->db->from('tbl_vendors');
        // $this->db->where('approval_status', NULL);
        // $this->db->where('general_status', 1);
        // $this->db->where('desc_status', 1);
        // $this->db->where('logo_status',1);
        // $this->db->order_by('v_id', 'desc');
        // $query = $this->db->get();
        // return $query->result();
    }

    public function get_approved_vendors_list()
    {
        // $this->db->select('*');
       
           $this->db->select('tbl_vendors.*,  GROUP_CONCAT(type_a.type_name) as typename');
       $this->db->join("tbl_types type_a", "FIND_IN_SET(type_a.type_id, tbl_vendors.v_type)", "inner");
        $this->db->where('tbl_vendors.approval_status', 'Approved');
        $this->db->order_by('tbl_vendors.v_id', 'desc');
         $this->db->group_by("tbl_vendors.v_id ");

         $this->db->from('tbl_vendors');
        $query = $this->db->get();
        return $query->result();


       
    }

  




    public function exsit_subcat($sub_cat, $cat_id)
    {
        $this->db->select('*');
        $this->db->from('tbl_subcategories');
        $this->db->where('subname', $sub_cat); 
         $this->db->where('cat_id', $cat_id); 
        $query = $this->db->get();
        return $query->result();
    }

    public function getApproveProducts($p_type)
    {
        if(!empty($p_type))
        {

            $query = $this->db->select('*')
                          ->where('tbl_products.p_type', $p_type)
                           ->where('tbl_products.admin_approve_status', '1')
                          ->join('tbl_vendors', 'tbl_products.v_id = tbl_vendors.v_id','left')
                          ->join('tbl_categories', 'tbl_products.cat_id = tbl_categories.category_id','left')
                           ->join('tbl_subcategories', 'tbl_products.subcat_id = tbl_subcategories.sub_id','left')
                          ->order_by('tbl_products.p_id', 'DESC')
                          ->get('tbl_products');
        return $query->result();

        }
        else 
        {
            $query = $this->db->select('*')
                          ->where('tbl_products.admin_approve_status', '1')
                          ->join('tbl_vendors', 'tbl_products.v_id = tbl_vendors.v_id','left')
                          ->join('tbl_categories', 'tbl_products.cat_id = tbl_categories.category_id','left')
                           ->join('tbl_subcategories', 'tbl_products.subcat_id = tbl_subcategories.sub_id','left')
                          ->order_by('tbl_products.p_id', 'DESC')
                          ->get('tbl_products');
        return $query->result();
        }
    }

    public function getPendingProducts()
    {
        $query = $this->db->select('*')
                          ->where('tbl_products.admin_approve_status', '0')
                          ->join('tbl_vendors', 'tbl_products.v_id = tbl_vendors.v_id','left')
                          ->join('tbl_categories', 'tbl_products.cat_id = tbl_categories.category_id','left')
                           ->join('tbl_subcategories', 'tbl_products.subcat_id = tbl_subcategories.sub_id','left')
                          ->order_by('tbl_products.p_id', 'DESC')
                          ->get('tbl_products');
        return $query->result();
    }
    

    public function getInquiryData($inquiry_id)
    {
         $query = $this->db->select('*')
                           ->join('tbl_vendors', 'tbl_inquiry.vendor_id = tbl_vendors.v_id','left')
                        ->where('tbl_inquiry.inquiry_id',$inquiry_id)
                          ->get('tbl_inquiry');
        return $query->result();
    }

    public function getInquiryProductData($inquiry_id)
    {
          $query = $this->db->select('*')
                           ->join('tbl_subcategories', 'tbl_subcategories.sub_id = tbl_inquiry_product.s_id','left')
                           ->where('tbl_inquiry_product.inquiry_no',$inquiry_id)
                          ->get('tbl_inquiry_product');
        return $query->result();
    }




    public function count_req_category()
    {
        $this->db->select('*');
        $this->db->from('tbl_req_cat');
        return $this->db->count_all_results();
    }

    public function count_req_subcategory()
    {
         $this->db->select('*');
        $this->db->from('tbl_req_subcat');
        return $this->db->count_all_results();
    }


     public function get_pending_users_list()
    {

        $this->db->select('*');
        $this->db->from('tbl_students');
        // $this->db->join('tbl_courses', 'tbl_students.course = tbl_courses.course_id','left');
        $this->db->join('tbl_states', 'tbl_students.s_state = tbl_states.state_id','left');
        $this->db->where('approval_status', NULL);
        
        $this->db->order_by('s_id', 'desc');
        $query = $this->db->get();
        return $query->result();
    } 

    public function getApproved_users($status)
    {
      $this->db->select('*');
        $this->db->from('tbl_students');
        // $this->db->join('tbl_courses', 'tbl_students.course = tbl_courses.course_id','left');
        $this->db->join('tbl_states', 'tbl_students.s_state = tbl_states.state_id','left');
        $this->db->where('approval_status', $status);
        
        $this->db->order_by('s_id', 'desc');
        $query = $this->db->get();
        return $query->result();
    }   

  
}