<?php
class User_Model extends CI_Model {

    function __construct(){
        // Call the Model constructor
        parent::__construct();
    }

    
    public function getData($table, $cond = "",  $field ="",  $orderby = "", $limit= "",  $join="")
    { 
       if ($field = "") {
       $field='*';
      }

      $this->db->select($field);
      $this->db->from($table); 

        if (is_array($join) && count($join) > 0) {
             foreach ($join as $k => $v) {
                $this->db->join($v['table'], $v['condition'], $v['type']);
             }
        }

      if ($cond != "") {
       $this->db->where($cond);
      }

      
       if ($orderby != "") {  
       $this->db->order_by($orderby, 'desc');
      } 

      if ($limit != "") {
       $this->db->limit($limit);
      }
    
      $result = $this->db->get()->result();
      return $result;
    }

    



    public function insertQuery($table, $data = array())
    {
      return $this->db->insert($table, $data);
    } 
    

    public function insertQueryReturnId($table, $data = array())
    {
        $this->db->insert($table, $data);
         $insert_id = $this->db->insert_id();

        return  $insert_id;
    }  

    public function updateQuery($table, $where , $data = array())
    {
      $this->db->where($where);
      return $this->db->update($table, $data);
    }

    public function deleteQuery($table, $where) 
    {
       
      return $this->db->where($where)
                      ->delete($table);
    }

  



  public function category_menu()
    {
          $this->db->select('*');
        $this->db->from('tbl_categories');
         $this->db->where('cat_status', '1');
        $this->db->order_by('category_id', 'DESC');
     
       
        $query = $this->db->get();
        return $query->result();
    }


     public function total_products($cat_id)
  {

         $this->db->select('*')     

                ->from('tbl_products')
               
                ->where('c_id',$cat_id)
                ->where('p_status',1)
               
                ->order_by('p_id', 'DESC');
              
                $q = $this->db->get(); 
        return $q->result();

  }

  public function getall_cat_products($cat_id,$limit,$start)
  {
       $this->db->select('*')                
                ->from('tbl_products')
                 ->where('c_id',$cat_id)
                ->where('p_status',1)
                ->order_by('p_id', 'DESC')
                
               ->limit($limit, $start);
                $q = $this->db->get(); 
        return $q->result();
  }

  public function total_gallery()
  {
        $this->db->select('*')     

                ->from('tbl_gallery')
               
                
                ->where('g_status',1)
               
                ->order_by('g_id', 'DESC');
              
                $q = $this->db->get(); 
        return $q->result();
  }
    public function get_all_gallery($limit,$start)
  {
       $this->db->select('*')                
                ->from('tbl_gallery')
              
                ->where('g_status',1)
                ->order_by('g_id', 'DESC')
                
               ->limit($limit, $start);
                $q = $this->db->get(); 
        return $q->result();
  }


  public function menu_list()
  {
      // $this->db->select('*')                
      //           ->from('tbl_menus')
              
      //           ->where('m_status',1)
      //           ->order_by('m_id', 'DESC')
                
              
      //           $q = $this->db->get(); 
      //   return $q->result();
    $this->db->select('*');
      $this->db->from('tbl_menus');
       $this->db->where('m_status',1);
       $this->db->order_by('m_id','desc');
      $parent = $this->db->get();
      $category = $parent->result();
      $i=0;
      foreach ($category as $key)
      {
      $category[$i]->cat_list = $this->categories($key->m_id);
      
      $i++;
      }

      return $category;
  } 
      
  public function categories($m_id)
  {  
      $this->db->select('*');
      $this->db->from('tbl_categories');
      $this->db->join('tbl_menus', 'tbl_menus.m_id =tbl_categories.menu','left');
      $this->db->where('tbl_categories.menu', $m_id);
       $this->db->where('tbl_categories.cat_status', 1);
       $this->db->order_by('c_id','desc');
     
      $child = $this->db->get();
      $categories = $child->result();
      return $categories;
  }
  

    public function category_list($status)
    {
         $this->db->select('*');
        $this->db->from('tbl_categories');
        $this->db->where('cat_status','1');
        $this->db->order_by('c_id', 'ASC');
     
       
        $query = $this->db->get();
        return $query->result();
    }
     


       public function check_user($email)
    {
        
        $this->db->select('*');
        $this->db->from('tbl_students');
        $this->db->where('s_email', $email); 
        $query = $this->db->get();
        return $query->result(); 
    } 


    public function check_usermob_details($mobile)
    {

        $this->db->select('*');
        $this->db->from('tbl_students');
        $this->db->where('s_mobile', $mobile); 
        $query = $this->db->get();
        return $query->result(); 

    }


      public function check_user_login_status($email,$password)
  {

        $password =  md5($password);
        $this->db->select('*');
        $this->db->where('s_email', $email);
        $this->db->where('s_password', $password);
        $query = $this->db->get('tbl_students');
      
        if($query->num_rows() > 0){
            $data['result'] =   $query->row();
            return $data;   
        }else{
                //$data['result'] =   '';
           // return $data;
        }
  }
  

   public function reset_password($new_password,$email){
    
        $this->db->select('*');
        $this->db->where('md5(s_email)', $email);    
        $query = $this->db->get('tbl_students');
        if(count($query->result()) > 0 ){
            $data['s_password'] = md5($new_password);
            $this->db->where('md5(s_email)', $email);
            $this->db->update('tbl_students', $data); 
            $data['status'] =   1;
            // $data['result']  =   $query->row();
            return $data;   
        }else{
            $data['status'] =   0;
            // $data['result']  =   '';
            return $data;
        }
       
    }


     public function get_user_password($current_password,$new_password,$s_id)
    {
        $user_password =  md5($current_password);
        $this->db->select('*');
        $this->db->where('s_id', $s_id);
        $this->db->where('s_password', $user_password);
        $query = $this->db->get('tbl_students');
        if(count($query->result()) > 0 ){
            $data['s_password'] = md5($new_password);
            $this->db->where('s_id', $s_id);
            $this->db->update('tbl_students', $data); 
            $data['status'] =   1;
           
            return $data;   
        }else{
            $data['status'] =   0;
          
            return $data;
        }
       
    }



    public function get_all_filter_video_limit($courseId,$limit, $start)
    {
        $this->db->select('*');
        $this->db->from('tbl_course_videos');
        $this->db->where('courseId', $courseId);
        $this->db->where('cv_status','1');
         
          $this->db->order_by('cv_id','desc');
        $this->db->limit($limit, $start);
        $query = $this->db->get();
        return $query->result(); 
    }


     public function get_all_filter_videos($courseId)
    {
       $this->db->select('*');
        $this->db->from('tbl_course_videos');
        $this->db->where('courseId', $courseId);
        $this->db->where('cv_status','1');
         
          $this->db->order_by('cv_id','desc');
       
        $query = $this->db->get();
        return $query->result(); 
    }

    public function get_all_filter_pdf_limit($courseId,$limit, $start)
    {
        $this->db->select('*');
        $this->db->from('tbl_course_pdf');
        $this->db->where('courseId', $courseId);
        $this->db->where('cp_status','1'); 
        $this->db->order_by('cp_id','desc');
        $this->db->limit($limit, $start);
        $query = $this->db->get();
        return $query->result(); 
    }

    public function get_all_filter_pdf($courseId)
    {
       $this->db->select('*');
        $this->db->from('tbl_course_pdf');
        $this->db->where('courseId', $courseId);
        $this->db->where('cp_status','1');
         
        $this->db->order_by('cp_id','desc');
       
        $query = $this->db->get();
        return $query->result(); 
    }
   


   

}

